<template>
    <div class="edit-view">
        <el-form
            :model="formData"
            :rules="rules"
            ref="form"
            label-width="80px"
            label-position="right"
            size="small"
            style="max-width: 640px;"
        >
            <el-form-item prop="code" label="代码">
                <el-input v-model="formData.code"></el-input>
            </el-form-item>
            <el-form-item prop="name" label="名称">
                <el-input v-model="formData.name"></el-input>
            </el-form-item>
            <!-- <el-form-item prop="introduction" label="简介">
                <el-input
                    type="textarea"
                    :autosize="{ minRows: 6, maxRows: 8 }"
                    v-model="formData.introduction"
                ></el-input>
            </el-form-item> -->
            <!-- <el-form-item prop="code" label="地址">
                <district-choose style="width:560px" v-model="district"></district-choose>
                <el-input
                    type="textarea"
                    :autosize="{ minRows: 2, maxRows: 3 }"
                    v-model="formData.address"
                    style="margin-top: 10px"
                ></el-input>
            </el-form-item> -->
            <!-- <el-form-item prop="contact" label="联系人">
                <el-input v-model="formData.contact"></el-input>
            </el-form-item>
            <el-form-item prop="contactPhone" label="联系方式">
                <el-input v-model="formData.contactPhone"></el-input>
            </el-form-item> -->
            <el-form-item>
                <el-button @click="onSave" :loading="saving" type="primary">保存</el-button>
                <el-button @click="onDelete" :loading="saving" type="danger" v-if="formData.id">删除 </el-button>
                <el-button @click="$router.go(-1)">取消</el-button>
            </el-form-item>
        </el-form>
    </div>
</template>
<script>
export default {
    name: 'GradingOrganizationEdit',
    created() {
        if (this.$route.query.id) {
            this.$http
                .get('gradingOrganization/get/' + this.$route.query.id)
                .then(res => {
                    this.formData = res;
                    this.district.push(res.province);
                    this.district.push(res.city);
                    this.district.push(res.district);
                    this.district.push(res.street);
                })
                .catch(e => {
                    console.log(e);
                    this.$message.error(e.error);
                });
        }
    },
    data() {
        return {
            saving: false,
            formData: {},
            rules: {},
            district: []
        };
    },
    methods: {
        onSave() {
            this.$refs.form.validate(valid => {
                if (valid) {
                    this.submit();
                } else {
                    return false;
                }
            });
        },
        submit() {
            let data = { ...this.formData };
            data.province = this.district[0];
            data.city = this.district[1];
            data.district = this.district[2];
            data.street = this.district[3];
            this.saving = true;
            this.$http
                .post('/gradingOrganization/save', data, { body: 'json' })
                .then(res => {
                    this.saving = false;
                    this.$message.success('成功');
                    this.$router.go(-1);
                })
                .catch(e => {
                    console.log(e);
                    this.saving = false;
                    this.$message.error(e.error);
                });
        },
        onDelete() {
            this.$alert('删除将无法恢复，确认要删除么？', '警告', { type: 'error' })
                .then(() => {
                    return this.$http.post(`/gradingOrganization/del/${this.formData.id}`);
                })
                .then(() => {
                    this.$message.success('删除成功');
                    this.$router.go(-1);
                })
                .catch(e => {
                    if (e !== 'cancel') {
                        console.log(e);
                        this.$message.error((e || {}).error || '删除失败');
                    }
                });
        }
    }
};
</script>
<style lang="less" scoped></style>
